/totals
Get summary metrics on all profiles matching the filters.
POST /totals
POST /totalsQuery Parameters
| Name | Type | Description |
|---|---|---|
title_version | enum | Specify Job Title taxonomy version to use. Default: |
company_version | enum | Specify company taxonomy version to use. Default: |
naics_version | enum | Specify NAICS taxonomy version to use. Default: Must be one of: |
cip_version | enum | Specify CIP taxonomy version to use. Default: |
cip_standard_version | enum | Specify CIP standard taxonomy version to use. This parameter is optional. Default: 2020.0.0 Must be one of: 2010.0.1, 2020.0.0 |
new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7 Must be one of: 7, 6 |
Request Body
{
"filter": {
"last_updated": {
"start": "2020"
},
"company_name": [
"Intel"
],
"skills_name": {
"include": [
"C++ (Programming Language)"
],
"exclude": [
"R (Programming Language)"
]
}
},
"metrics": [
"profiles",
"unique_schools"
]
}
Code Examples
curl --request POST \
--url https://api.lightcast.io/ca-profiles/totals \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "filter": { "last_updated": { "start": "2020" }, "company_name": [ "Intel" ], "skills_name": { "include": [ "C++ (Programming Language)" ], "exclude": [ "R (Programming Language)" ] } }, "metrics": [ "profiles", "unique_schools" ] }'Response Examples
{
"data": {
"totals": {
"profiles": 8448,
"unique_schools": 2117
}
}
}//Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}
